Provable Markets

OmsService

CancelOrder

PATH: /aurora.core.apiengine.omsv1.OmsService/CancelOrder

SecurityBearer
Request
Request Body schema: application/json
required
id
required
string

Unique identifier of the order to be cancelled

Responses
200

A successful response

Response Schema: application/json
id
required
string

Provable Markets assigned order identifier for the order canceled

CreateOrder

PATH: /aurora.core.apiengine.omsv1.OmsService/CreateOrder

SecurityBearer
Request
Request Body schema: application/json
required
active
boolean

All orders will be marked as “Active” by default or Inactive order.

object (aurora.core.apiengine.omsv1.AgreementsFilter)

Fields: ids, counterparty_ids, collateral_types, settlement_types, booking_accounts, counterparty_booking_accounts, trade_types, collateral_currencies, delivery_types

allow_odd_lots
boolean

All orders will allow odd lots by default

external_id
string

Customer internal id that will be reflected on the order and can be used to query the order

good_till_time
string

If time in force is “GOOD_TILL_TIME”, the date/time the order is to be canceled is required. Time in RFC3339 with millisecond precision

instrument_id
required
string

The ticker symbol or CUSIP of the security you intend to lend or borrow

instrument_id_type
required
string (aurora.core.consts.oms.InstrumentIdType)
Enum: "CUSIP" "TICKER"
min_quantity
string <int64>

The minimum quantity that the order can be matched against. If not specified the default will be 100.

order_intent
required
string (aurora.core.consts.oms.OrderIntent)
Enum: "FIRM" "IOI"
order_type
required
string (aurora.core.consts.oms.OmsOrderType)
Value: "LIMIT"
quantity
required
string <int64>

The number of shares you intend to borrow or lend

object (aurora.core.common.protos.RateLimit)

Fields: type, value

side
required
string (aurora.core.consts.common.Side)
Enum: "BORROW" "LOAN"
time_in_force
required
string (aurora.core.consts.oms.OmsTimeInForceType)
Enum: "DAY" "GOOD_TILL_CANCEL" "IMMEDIATE_OR_CANCEL" "FILL_OR_KILL" "GOOD_TILL_TIME"
version_reference
string

An optional identifier provided by the user to help associate the order with any internal record keeping. When provided needs to be a unique value within the past 12 hours, if the same value is observed then the request will be rejected.

Responses
200

A successful response

Response Schema: application/json
id
required
string

Unique identifier assigned to this order by Provable Markets

GetOrder

PATH: /aurora.core.apiengine.omsv1.OmsService/GetOrder

SecurityBearer
Request
Request Body schema: application/json
required
id
required
string

Unique identifier of the order

Responses
200

A successful response

Response Schema: application/json
required
object (aurora.core.apiengine.omsv1.Order)

Fields: id, external_id, version_reference, instrument, side, order_status, order_type, order_intent, time_in_force, good_till_time, quantity, min_quantity, fee, rebate, agreement_ids, open_quantity, total_execution_quantity, avg_execution_fee, avg_execution_rebate, created_at, updated_at, created_by, last_updated_by, firm_quantity, ioi_quantity, executions, allow_odd_lots

ListOrders

PATH: /aurora.core.apiengine.omsv1.OmsService/ListOrders

SecurityBearer
Request
Request Body schema: application/json
required
ids
Array of strings

list of ids to filter orders by

instrument_id
string
instrument_id_type
string (aurora.core.consts.oms.InstrumentIdType)
Enum: "CUSIP" "TICKER"
order_status
string (aurora.core.consts.oms.OmsOrderStatus)
Enum: "OPEN" "FILLED" "CANCELED" "EXPIRED" "TERMINATED" "HELD" "FORCE_CANCELED"
side
string (aurora.core.consts.common.Side)
Enum: "BORROW" "LOAN"
since
string

DateTime for query to start looking for orders - time in RFC3339 with millisecond precision

Responses
200

A successful response

Response Schema: application/json
Array of objects (aurora.core.apiengine.omsv1.Order)

Detail(s) of one or more orders returned by Aurora

ModifyOrder

PATH: /aurora.core.apiengine.omsv1.OmsService/ModifyOrder

SecurityBearer
Request
Request Body schema: application/json
required
active
boolean

If true the order goes to matching venue

object (aurora.core.apiengine.omsv1.AgreementsFilter)

Fields: ids, counterparty_ids, collateral_types, settlement_types, booking_accounts, counterparty_booking_accounts, trade_types, collateral_currencies, delivery_types

current_version_reference
string

Used for version control, the user can provide the last known version_reference to ensure any modifications are applied to the intended version.

external_id
string

Customer internal id that will be reflected on the order and can be used to query the order

good_till_time
string

Specific expiry time - only used (and required) with tif=GTT - time in RFC3339 with millisecond precision

id
required
string

The Provable Markets assigned order identifier for the order to be modified

min_quantity
string <int64>

The updated minimum quantity that you want set on the order.

new_version_reference
string

A new identifier to be assigned to the order. When provided needs to be a unique value within the past 12 hours, if the same value is observed then the request will be rejected.

quantity
string <int64>

The updated quantity you want on the order. Note: This will replace the current quantity and is not a delta.

object (aurora.core.common.protos.RateLimit)

Fields: type, value

time_in_force
string (aurora.core.consts.oms.OmsTimeInForceType)
Enum: "DAY" "GOOD_TILL_CANCEL" "IMMEDIATE_OR_CANCEL" "FILL_OR_KILL" "GOOD_TILL_TIME"
Responses
200

A successful response

Response Schema: application/json
id
required
string

Provable Markets assigned order identifier for the order modified